アップデートのレベル3

Linux Mintのソフトウェアとアプリケーションに関する質問

アップデートのレベル3

投稿記事by elnee » 2014年1月21日(火) 00:25

LinuxMintのSynapticで
アップデートをチェックすると、
レベル3のものが結構よく出てきます。

レベル3のものをインストールすべきか初心者には判断しがたいのですが、
この中にはインストールしなかった場合に
攻撃を受けやすくなったりするものはあるのでしょうか?
elnee
 

Re: アップデートのレベル3

投稿記事by fu-sen » 2014年12月06日(土) 13:03

ちょっと古い質問なのですが、これを知らない人が多いと思うので、説明をしておきます。 :ugeek:

Linux Mint ではパッケージの更新は「アップデートマネージャー」で行うのが推奨です。
というのも、パッケージ毎に レベル が付いています。
この レベル は更新に伴う「危険度」と考えてもらって良いです。安全 1〜5 危険 となります。
編集 - 設定 でレベルの説明が見られるのですが、英文でよく分からない人もいると思いますので、
自分なりに翻訳してみました。

  • 1 - 公認している更新。Romeo によるテスト済 または Linux Mint 直接メンテナンス
  • 2 - 推奨される更新。推奨される更新。Linux Mint がテストを行い、おすすめしている
  • 3 - 安全な更新。Linux Mint でテストは行っていないが安全
  • 4 - 安全ではない更新。システムの安定性に悪影響を及ぼす場合あり
  • 5 - 危険な更新。特定のスペック・ハードウェアでシステムの安定性に悪影響あり

「アップデートマネージャー」では、デフォルトでレベル 1〜3 を一覧に表示し、更新を促します。
編集 - 設定 で変更する事が可能です。
ちなみに apt を使用した場合はレベル 1〜5 すべてを更新しようとします。
Synatpic でもパッケージの更新が可能ですが、Linux Mint では「すべて更新」ボタンを非表示にしています。

質問内容の回答としては レベル 3 は更新は安全と判断され、デフォルトでは更新対象とします。
おそらく行って悪影響が発生するケースはほとんどないでしょう。
fu-sen
関脇
 
記事: 364
登録日時: 2014年3月06日(木) 17:40

Re: アップデートのレベル3

投稿記事by elnee » 2014年12月07日(日) 09:46

質問したことも忘れかけておりましたが、
回答いただきましてありがとうございます。 _(_ _)_

私もとりあえず今までは
レベル3までにしておいたのですが

https://github.com/linuxmint/mintupdate ... date/rules
のリストなどを見ると、
レベル4・5の更新をインストールすると
システムが安定でなくなる可能性があっても、
このあたりの脆弱性などを放っておくと
クラッキングされる場合もあるのかなと思いましたが
このあたりは難しいところでしょうね。
elnee
 

Re: アップデートのレベル3

投稿記事by fu-sen » 2014年12月09日(火) 09:55

他の Linux だと「アップデートはすべて更新」が基本なので、
それを再現すると、Linux Mint はレベル1〜5、すべて更新となります。
更新には少なくてもある程度テストされていますしね。
レベル 4〜5 で問題となってくる環境はごく一部の環境が多いでしょう。
この辺は他の Linux とは違う「Linux Mint の独特性」を感じるところですね。
fu-sen
関脇
 
記事: 364
登録日時: 2014年3月06日(木) 17:40

Re: アップデートのレベル3

投稿記事by elnee » 2014年12月12日(金) 23:11

ほとんどのディストリがレベル4・5の更新までデフォルトで提供しているのであれば、
いつでも元に戻せるように
PartitionImage などでバックアップをとっておいて
全ての更新を適用していくのもいいかもしれません。

レベル4・5の更新をインストールして
もし安定でなくなってしまった場合は
かえってセキュリティ的に弱くなってしまうというような懸念は残るのですが。
elnee
 


Return to ソフトウェアとアプリケーション

オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[1人]

cron